This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1292564 - cannot pipe a tarball reliably [NEEDINFO]
cannot pipe a tarball reliably
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gzip (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: pstodulk
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-17 14:32 EST by Richard Jasmin
Modified: 2016-07-20 04:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:36:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pstodulk: needinfo? (spike85051)


Attachments (Terms of Use)

  None (edit)
Description Richard Jasmin 2015-12-17 14:32:36 EST
Description of problem:
GZipping on the fly sometimes from tar when making a backup stalls gzip in a loop somewhere.

Version-Release number of selected component (if applicable):
22

How reproducible:
always

Steps to Reproduce:
Puts backup files where you are standing. (with pwd)

Do this for every full backup set:

tar -cP --exclude-backups --exclude-caches-all --exclude-vcs --exclude=.cache -f backup.tar /home/<you>/ 

for incremental sets(NOTE container edits backup the whole container):

NOW=`date +%d-%b`
echo $NOW > backup-date

NEWER="--newer-mtime `cat backup-date`"

tar $NEWER -cP --exclude-backups --exclude-caches-all --exclude-vcs --exclude=.cache -f backup-inc.tar /home/<you>/ 


Actual results:
you should be able to use the z for GZIP option but it stalls for some reason when using it.Obviously you can gzip the tarball once the process finishes.

Expected results:
I want to zip this on the fly when I make the tarball.

Additional info:
In relations to Bug 1283843 when making a backup with --newer option for tar.
Comment 1 Fedora End Of Life 2016-07-19 14:36:36 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 2 pstodulk 2016-07-20 04:32:40 EDT
Hi Richard. I was trying your reproducer but I am not able reproduce it on my F22 system as You described - but it's possible that I do something wrong. Are You still able to reproduce it?

----
I am in ~/Documents/


$ NOW=`date +%d-%b`
$ echo $NOW > backup-date
$ NEWER="--newer-mtime `cat backup-date`"

$ tar $NEWER -cP --exclude-backups --exclude-caches-all --exclude-vcs --exclude=.cache -zf backup-inc.tar ~/Documents

---

Just I am not using home directory but I don't see here difference.

Note You need to log in before you can comment on or make changes to this bug.